Skip to main content
POST
Create Sales Order Line Item File

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order that the file belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

The ID of the sales order line item that the file belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The file to create.

Model Class: CreateFile

fileData
string<byte>

Base64 encoded data of the file.

fileDataType
string

Type of file.

Maximum string length: 2147483647
fileName
string

name of the file.

Maximum string length: 2147483647

Response

The created file.

Model Class: SalesOrderLineItemFile

id
string<uuid>

Unique ID to identify a sales order line item file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>

Unique ID to identify a sales order item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

fileId
string<uuid>

Unique ID to identify a file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

fileDataType
string

Type of file.

size
number<decimal>

Image size.

createdAt
string<date-time>

Date when the file was created in the system.

fileName
string

name of the file.